## mx-welcome 17.4mx16

=== debian/changelog ===
mx-welcome (17.4mx16) mx; urgency=medium

  * new translations 

 -- Adrian <adrian@mxlinux.org>  Sun, 02 Apr 2017 13:28:04 -0400

mx-welcome (16.11mx16+3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Nov 2016 13:03:51 -0500

mx-welcome (16.11mx16+2) mx; urgency=medium

  * window icon for panel 

 -- Dolphin <dolphinoracle@gmail.com>  Sat, 19 Nov 2016 15:15:49 -0500

mx-welcome (16.11mx16+1) mx; urgency=medium

  * minor startup delay added to autostart  

 -- Adrian <adrian@mxlinux.org>  Sat, 19 Nov 2016 10:20:49 -0500

mx-welcome (16.11mx16) mx; urgency=medium

  * new translations 

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Nov 2016 14:03:49 -0500

mx-welcome (16.10mx16+7) mx; urgency=medium

  * changed video url

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 28 Oct 2016 15:25:41 -0400

mx-welcome (16.10mx16+6) mx; urgency=medium

  * translations

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 28 Oct 2016 12:48:41 -0400

mx-welcome (16.10mx16+5) mx; urgency=medium

  * fixed depends in control file

 -- dolphinoracle <dolphinoracle@gmail.com>  Thu, 20 Oct 2016 12:14:41 -0400

mx-welcome (16.10mx16+4) mx; urgency=medium

  * fixed depends in control file

 -- dolphinoracle <dolphinoracle@gmail.com>  Tue, 18 Oct 2016 22:40:41 -0400

mx-welcome (16.10mx16+3) mx; urgency=medium

  * hide UI when clicking on buttons

 -- Adrian <adrian@mxlinux.org>  Tue, 18 Oct 2016 16:09:20 -0400

mx-welcome (16.10mx16+2) mx; urgency=medium

  * fixed live detection

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 16 Oct 2016 20:03:41 -0400

mx-welcome (16.10mx16+1) mx; urgency=medium

  * initial mx16 release.
  * changed panel-orientation to mx-defaultlook

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 10 Oct 2016 22:03:41 -0400

mx-welcome (16.9mx15) mx; urgency=medium

  * new options

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 28 Sep 2016 08:41:53 -0400

mx-welcome (16.5mx15) mx; urgency=medium

  * new desktop file

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 23 May 2016 13:27:00 -0400

mx-welcome (15.12mx15) mx; urgency=medium

  * hide GUI when displaying help/license

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Dec 2015 18:23:12 -0500

mx-welcome (15.11.1mx15) mx; urgency=medium

  * changed icon location

 -- Adrian <adrian@mxlinux.org>  Mon, 30 Nov 2015 10:08:32 -0500

mx-welcome (15.11mx15) mx; urgency=medium

  * open videos in browser

 -- Adrian <adrian@mxlinux.org>  Wed, 11 Nov 2015 18:01:28 -0500

mx-welcome (15.10.7mx15) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Oct 2015 19:36:17 -0400

mx-welcome (15.10.6mx15) mx; urgency=medium

  * use mx-viewer to display pages

 -- Adrian <adrian@mxlinux.org>  Thu, 29 Oct 2015 09:08:19 -0400

mx-welcome (15.10.5mx15) mx; urgency=medium

  * replaced icons

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Oct 2015 11:17:19 -0400

mx-welcome (15.10.4mx15) mx; urgency=medium

  * live login info displayed only when running live

 -- Adrian <adrian@mxlinux.org>  Fri, 23 Oct 2015 12:39:50 -0400

mx-welcome (15.10.3mx15) mx; urgency=medium

  * added find live login/password

 -- Adrian <adrian@mxlinux.org>  Thu, 22 Oct 2015 17:08:31 -0400

mx-welcome (15.10.2mx15) mx; urgency=medium

  * use onboard manual

 -- Adrian <adrian@mxlinux.org>  Wed, 14 Oct 2015 14:16:11 -0400

mx-welcome (15.10.1mx15) mx; urgency=medium

  * hide checkbox if running live

 -- Adrian <adrian@mxlinux.org>  Mon, 12 Oct 2015 08:47:21 -0400

mx-welcome (15.10mx15) mx; urgency=medium

  * text formating

 -- Adrian <adrian@mxlinux.org>  Sun, 11 Oct 2015 15:18:50 -0400

mx-welcome (0.15.10.1mx15) mx; urgency=medium

  * fixed windows size and icon

 -- Adrian <adrian@mxlinux.org>  Sun, 11 Oct 2015 10:39:17 -0400

mx-welcome (0.15.10mx15) mx; urgency=medium

  * initial release 

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Oct 2015 10:00:04 -0400
