=== debian/control ===
Source: mx-welcome
Section: admin
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Build-Depends: qt5-qmake,
	debhelper (>=7.0.50~)
Standards-Version: 3.9.5
Vcs-Git: git://github.com/AdrianTM/mx-welcome

Package: mx-welcome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-docs, mx-defaultlook
Description: MX Welcome
 MX Welcome displays a welcome screen
