## mx-welcome 17.6mx16

=== debian/changelog ===
mx-welcome (17.6mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jun 2017 16:41:15 -0400

mx-welcome (17.5mx16) mx; urgency=medium

  * updated icons

 -- Adrian <adrian@mxlinux.org>  Wed, 10 May 2017 16:21:21 -0400
