=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mx-welcome
 Section: admin
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Maintainer: Adrian <adrian@mxlinux.org>
 Build-Depends: qt5-qmake,
 	debhelper (>=7.0.50~)
 Standards-Version: 3.9.5
