=== debian/control ===
Source: mx-welcome
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends:  qt5-default, qttools5-dev-tools,
	debhelper (>=9)
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-welcome

Package: mx-welcome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-docs
Description: MX Welcome
 MX Welcome displays a welcome screen
