=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 Package: mx-welcome
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-docs
+Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-welcome-data
 Description: MX Welcome
  MX Welcome displays a welcome screen
