=== debian/control ===
Source: mx-welcome
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), qt5-default, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-welcome

Package: mx-welcome
Architecture: any
Depends: mx-viewer, mx-welcome-data, ${misc:Depends}, ${shlibs:Depends}
Description: MX Welcome
 MX Welcome displays a welcome screen
