## mx-welcome 19.8.01

=== debian/changelog ===
mx-welcome (19.8.01) mx; urgency=medium

  * local FAQ launch 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 14 Aug 2019 22:01:20 -0400

mx-welcome (19.7.1) mx; urgency=medium

  * new icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 14:53:04 -0400
