## mx-welcome 19.9.02

=== debian/changelog ===
mx-welcome (19.9.02) mx; urgency=medium

  * preserve "AutoStartup" checkbox option
  * translation refresh

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 22:00:47 -0400
