## mx-welcome 19.10.01

=== debian/changelog ===
mx-welcome (19.10.01) mx; urgency=medium

  * update FAQ button 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 12 Oct 2019 10:05:06 -0400
