## mx-welcome 20.07.01

=== debian/changelog ===
mx-welcome (20.07.01) mx; urgency=medium

  * use xdg-open instead of exo-open 

 -- Dolphin Oracle <dolphin@littlebyte>  Sun, 26 Jul 2020 09:01:04 -0400
