## mx-welcome 21.04.02mx21

=== debian/changelog ===
mx-welcome (21.04.02mx21) mx; urgency=medium

  * revised about, 
  * refresh short system report on tab switch 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 17 Apr 2021 08:20:17 -0400
