## mx-welcome 21.05.01mx21

=== debian/changelog ===
mx-welcome (21.05.01mx21) mx; urgency=medium

  * add mx fluxbox info 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 07 May 2021 16:54:57 -0400
