## mx-welcome 21.08.01mx21

=== debian/changelog ===
mx-welcome (21.08.01mx21) mx; urgency=medium

  * add switch for fluxbox detection 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 08 Aug 2021 16:06:53 -0400

mx-welcome (21.08mx21) mx; urgency=medium

  * Move .conf file to ~/.conf/MX-Linux

 -- Adrian <adrian@mxlinux.org>  Sun, 01 Aug 2021 03:19:18 -0400
