## mx-welcome 21.09mx21

=== debian/changelog ===
mx-welcome (21.09mx21) mx; urgency=medium

  * Add comment to display in Whisker menu
  * Update program description

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 08:52:30 -0400
