## mx-welcome 21.10.01mx21

=== debian/changelog ===
mx-welcome (21.10.01mx21) mx; urgency=medium

  * adjust style sheet for inactive tab 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 08 Oct 2021 21:19:09 -0400
