## mx-welcome 21.10.03mx21

=== debian/changelog ===
mx-welcome (21.10.03mx21) mx; urgency=medium

  * relocate installer and tour buttons (off center) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 18 Oct 2021 06:53:28 -0400
