=== debian/control ===
--- 
+++ 
@@ -10,4 +10,10 @@
 Architecture: any
 Depends: mx-viewer, mx-welcome-data, ${misc:Depends}, ${shlibs:Depends}
 Description: MX Welcome
- MX Welcome displays a welcome screen
+ MX Welcome displays a welcome screen with two tabs.
+ .
+ The Welcome tab provides quick access links to many useful resources
+ and tools.
+ .
+ The About tab provides basic information about the current MX Linux 
+ version, the user's hardware, and access to a full system report.
