## mx-welcome 22.08

=== debian/changelog ===
mx-welcome (22.08) mx; urgency=medium

  * Remove mx-viewer dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Aug 2022 21:50:45 -0400
