## mx-welcome 22.10

=== debian/changelog ===
mx-welcome (22.10) mx; urgency=medium

  * translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:11:16 -0400
