## mx-welcome 23.03

=== debian/changelog ===
mx-welcome (23.03) mx; urgency=medium

  * update mxpi entry

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 01 Mar 2023 20:09:32 -0500
