## mx-welcome 23.05

=== debian/changelog ===
mx-welcome (23.05) mx; urgency=medium

  * show correct desktop info

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 10 May 2023 21:56:16 -0400
