## mx-welcome 23.05.01

=== debian/changelog ===
mx-welcome (23.05.01) mx; urgency=medium

  * adjust desktop version strings

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 25 May 2023 18:27:33 -0400
