## mx-welcome 23.11.01

=== debian/changelog ===
mx-welcome (23.11.01) mx; urgency=medium

  * update mx-packageinstaller link

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 14 Nov 2023 06:49:52 -0500

mx-welcome (23.05.02) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 20 Jul 2023 15:08:22 -0400
