## mx-welcome 24.12.02

=== debian/changelog ===
mx-welcome (24.12.02) mx; urgency=medium

  * use word wrap on about screen labels

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 04 Jan 2024 20:46:15 -0500

mx-welcome (24.12.01) mx; urgency=medium

  * fix TOS text setting

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 03 Jan 2024 23:26:14 -0500
