## mx-welcome 24.12.03

=== debian/changelog ===
mx-welcome (24.12.03) mx; urgency=medium

  * make sure /etc/mx-welcome/mx-welcome.conf is processed if it exists

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 05 Jan 2024 17:11:52 -0500
