## mx-welcome 24.12.04

=== debian/changelog ===
mx-welcome (24.12.04) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Mar 2024 13:44:12 -0400
