=== debian/control ===
Source: mx-welcome
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=10),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-welcome
Homepage: https://github.com/AdrianTM/mx-welcome

Package: mx-welcome
Architecture: any
Depends: mx-viewer | xdg-utils,
         mx-welcome-data (>= 22.02.01),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mx-docs
Description: Welcome screen for MX Linux
 MX Welcome displays a welcome screen with two tabs.
 .
 The Welcome tab provides quick access links to many useful resources
 and tools.
 .
 The About tab provides basic information about the current MX Linux
 version, the user's hardware, and access to a full system report.
