## mx-welcome 25.09.02mx25

=== debian/changelog ===
mx-welcome (25.09.02mx25) mx; urgency=medium

  * add all text terms of use

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 26 Sep 2025 21:28:10 -0400
