## mx-welcome 25.10.01mx25

=== debian/changelog ===
mx-welcome (25.10.01mx25) mx; urgency=medium

  * adjust cmd entries so commands work the same on all buttons

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 02 Nov 2025 14:16:02 -0500
