=== debian/changelog ===
mx-welcome (25.11.01mx25) mx; urgency=medium

  * adjust regex on desktop check to deal with spaces in desktop name

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 08 Nov 2025 14:56:41 -0500
