## mx-welcome 25.11.02mx25

=== debian/changelog ===
mx-welcome (25.11.02mx25) mx; urgency=medium

  * make sure 8command (TOOLSCMD) runs with arguements 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 18 Nov 2025 20:00:55 -0500
